var path = require('path');
var AlipaySdk = require('alipay-sdk').default;
var WXPay = require('wx-pay');
// const tenpay = require('tenpay');
var ENVINPUT = {
  DB_HOST: process.env.DB_HOST,
  DB_PORT: process.env.DB_PORT,
  DB_USER: process.env.DB_USER,
  DB_PWD: process.env.DB_PWD,
  REDIS_HOST: process.env.REDIS_HOST,
  REDIS_PORT: process.env.REDIS_PORT,
  REDIS_PWD: process.env.REDIS_PWD,
  DB_NAME: process.env.CENTER_CHANNEL_DB_NAME,
  REDIS_DB: process.env.CENTER_CHANNEL_REDIS_DB,
  APP_ENV: process.env.APP_ENV ? process.env.APP_ENV : "dev"
};
var settings = {
  env: ENVINPUT.APP_ENV,
  appKey: "201911061250",
  secret: "f99d413b767f09b5dff0b3610366cc46",
  salt: "%iatpD1gcxz7iF#B",
  cacheprefix: "centerChannel",
  usertimeout: 3600,//单位秒
  basepath: path.normalize(path.join(__dirname, '../..')),
  port: process.env.NODE_PORT || 4012,
  //记录日志地址
  opNewLogUrl() {
    if (this.env == 'dev') {
      return "http://43.247.184.94:7200/center_channel_req_log/_doc?pretty";
    }
    return "http://43.247.184.94:7200/center_channel_req_log/_doc?pretty";
  },
  enameClientUrl:function(){
    if (this.env == 'dev') {
      return "https://ote.ename.com/icp/";//开发
    }else{
      return "https://api.ename.com/icp/";//线上
    }
  },
  //百度icp、edi、nc、rt
  baiduClientParams: function () {
    if (this.env == 'dev') {
      return {
        domain:"https://gwgp-mwnn9gk4o4e.i.bdcloudapi.com",//开发
        accessKey:"ed0f5c4c7c2d4e87aa335d9b07bf9bd4",
        secretKey:"f600c4e91f6d43998d637401e6e34ef9",
        host:"gwgp-mwnn9gk4o4e.i.bdcloudapi.com"
      };
    }
    return {
      domain:"https://gwgp-nbzljnwusrw.i.bdcloudapi.com",//线上
      accessKey:"0e5abf33ef07457f8dbd779287747c0c",
      secretKey:"9d86f04a85db4cdfa95ba8ad28009188",
      host:"gwgp-nbzljnwusrw.i.bdcloudapi.com"
    };
  },
  //百度工商注册
  baiduRegClientParams: function () {
    if (this.env == 'dev') {
      return {
        domain:"https://gwgp-fpxfeempcfz.i.bdcloudapi.com",//开发
        accessKey:"047935a96ee14ca7a79529fe0688f7dc",
        secretKey:"2290966ca6ef4b308c90d720263ec9f7",
        host:"gwgp-fpxfeempcfz.i.bdcloudapi.com"
      };
    }
    return {
      domain:"https://gwgp-rqmgxmmgt8y.i.bdcloudapi.com",//线上
      accessKey:"0e5abf33ef07457f8dbd779287747c0c",
      secretKey:"9d86f04a85db4cdfa95ba8ad28009188",
      host:"gwgp-rqmgxmmgt8y.i.bdcloudapi.com"
    };
  },
  //工商核名请求接口配置
  checkIcNameUrl() {
    if (this.env === 'localhost') {
      return 'http://127.0.0.1:35502/IcName/CheckName';
    }
    return 'http://ic-name-service/IcName/CheckName';
  },

  fbQueryUrl: function () {
    if (this.env == 'dev' || this.env == 'test') {
      return 'http://43.247.184.92:15505'
    } else {
      return 'http://43.247.184.92:15505'
    }
  },
  opPushQueueUrl: function () {
    if (this.env == "dev" || this.env == "test") {
      // return "http://192.168.18.101:4018/api/queueAction/producer/springBoard";
      // 2020 1112 lin修改 替换为线上测试队列环境。经过宋哥批准。兴业提供的地址
      return "http://gsbqueue.frp.sxy97.xyz/api/queueAction/producer/springBoard"
    } else {
      return "http://sytxpublic-msgq-service/api/queueAction/producer/springBoard";
    }
  },
  entProfileUrl: function () {
    if (this.env == "dev") {
      return "https://entprofile.gongsibao.com/";
    } else {
      return "https://entprofile.gongsibao.com/";
    }
  },
  aliossjavaUrl: function () {
    if (this.env == "dev") {
      return "http://192.168.2.109:8080/uploadfile";
    } else {
      return "http://aliossjava-service/uploadfile";
    }
  },
  aliGetNamesjavaUrl: function () {
    if (this.env == "dev") {
      return "http://localhost:80/getNames";
    } else {
      return "http://aliossjava-service/getNames";
    }

  },
  tmtransactionUrl: function () {
    if (this.env == "dev") {
      return "http://192.168.2.109:8080/uploadfile";
    } else {
      return "http://center-tmtransaction-service";
    }
  },

  qifuPayAfterH5JumpUrl: function () {
    if (this.env == "dev") {
      return "http://tm.qifu.gongsibao.com:4012/#/home/indent_list";
    } else {
      return "http://tm.qifu.gongsibao.com/#/home/indent_list";
    }
  },
  qifuPayAfterPcJumpUrl: function () {
    if (this.env == "dev") {
      return "http://tm.qifu.gongsibao.com:4012/#/home/indent_list";
    } else {
      return "http://tm.qifu.gongsibao.com/#/home/indent_list";
    }
  },
  qifuH5PayNotifyUrl: function () {
    if (this.env == "dev") {
      //   return "http://gsb.qifu.gongsibao.com:4012/tlpay/notify";
      return "http://gsb.qifu-dev.gongsibao.com/tlpay/notify"// 2020 0804 lin 修改测试环境tl回调地址
    } else {
      return "http://gsb.qifu.gongsibao.com/tlpay/notify";
    }
  },
  qifubaoUrl: function () {//企服宝（交付系统）
    if (this.env == "dev") {
      return "http://xxxx:xxxx/";
    } else {
      return "";
    }
  },
  paasUrl: function () {
    if (this.env == "dev") {
      return "http://p.apps.com:4001/";
    } else {
      return "https://open.gongsibao.com/";
    }
  },
  centerAppUrl: function () {
    if (this.env == "dev") {
      return "http://centerapp.apps.com:4010/";
    } else {
      return "http://center-app-service/";
    }
  },
  centerTmtransactionUrl: function () {
    if (this.env == "dev") {
      return "http://centerTmtransactioon.apps.com:4006/";
    } else {
      return "http://center-tmtransaction-service/";
    }
  },
  zzzdUrl: function () {
    if (this.env == "dev") {
      return "http://106.13.228.212:80";
    } else {
      return "http://qualitydoctor-service/";
    }
  },
  // 2020 0807 lin 新增 营业执照识别请求地址
  // 2020 0813 lin 修改 增加王昆给的正式环境地址
  businessDistinguishUrl: function () {
    if (this.env == "dev") {
      return "http://43.247.184.92:15504/"
    } else {
      return "http://172.17.149.71:32505/"
    }
  },
  // 2020 0810 lin 新增 四要素验证请求地址
  fourFactorsUrl: function () {
    if (this.env == "dev") {
      return "http://39.107.234.14:8026/bpo-sign/";
    } else {
      // 正式环境没给
    }
  },
  centerChannelUrl: function () {
    if (this.env == "dev") {
      return "http://localhost:4012/"
    } else {
      //   return "channel的正式环境" 6.30修改目前只用作生成alipay/wx的通知回调地址
      return "http://youke.qifu.gongsibao.com/"
    }
  },
  gatewayUrl: function () {
    if (this.env == "dev") {
      return "http://localhost:4005/";
    } else {
      return "https://channelgateway-api.gongsibao.com/";
    }
  },
  centerOrderUrl: function () {
    if (this.env == "dev") {
      return "http://centerorder.apps.com:4011/";
    } else {
      return "http://center-order-service/";
    }
  },
  igirlWeburl: function () {
    if (this.env == "dev") {
      return "http://127.0.0.1:3000/";
    } else {
      return "http://igirl-service/";
    }
  },
  centerCacheUrl: function () {
    if (this.env == 'dev') {
      return "http://123.57.217.203:30005/";
    } else {
      return "http://specialprofile-service/"
    }
  },
  fileDealUrl: function () {
    if (this.env == 'dev') {
      return "http://43.247.184.92:15503";
    } else {
      return "http://43.247.184.92:15503"
    }
  },
  reqTransferurl: function () {
    if (this.env == "dev") {
      return "http://192.168.18.61:3003/";
    } else {
      return "http://jiaxiya-service/";
    }
  },
  reqEsAddr: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return "http://43.247.184.94:7200/";//localsettings.reqEsDevUrl;
    } else {
      return "http://43.247.184.94:7200/";
    }
  },
  certificationUrl: function () {
    if (this.env == "dev") {
      return "http://43.247.184.92:15506/";//
    } else {
      return "http://43.247.184.92:15506/";
    }
  },
  reqZcApi: function () {
    if (this.env == "dev") {
      return "http://zcapi.apps.com:4002/";//localsettings.reqEsDevUrl;
    } else {
      return "http://zcapi-service/";//k8s服务名称
    }
  },
  pushFqbossDataUrl: function () {
    if (this.env == "dev") {
      return "http://192.168.18.141:3000/";//localsettings.reqEsDevUrl;
    } else {
      return "https://fqgirl.gongsibao.com/";
    }
  },
  fqbossTmUrl: function(){
    if (this.env == "dev") {
      return "https://fqgirlstage.gongsibao.com/api/tmsub/channelTmNotify"
    } else {
      return "https://fqgirl.gongsibao.com/api/tmsub/channelTmNotify"
    }
  },
  ucommuneUrl: function () {
    if (this.env == "dev") {
      return "https://m-dev.ucommune.com/"// 优客测试环境
    } else {
      //   return "https://m.ucommune.com/"// 优客正式环境
      return "https://m.ucommune.com/"// 6.29lin修改为测试环境。原因优客 目前还没有正式环境
    }
  },
  tokenUrl360: function () {
    if (this.env == "dev") {
      return "https://oauth2.e.360.cn/site/token"// 360测试环境
    } else {
      return "https://oauth2.e.360.cn/site/token"//
    }
  },
  requestUrl360: function () {
    if (this.env == "dev") {
      return "http://180.163.239.98:38085/"// 360测试环境
    } else {
      return "https://console.e.360.cn/"//
    }
  },
  pushUrl360: function () {
    if (this.env == "dev") {
      return "http://180.163.239.98:38086/"// 360测试环境
    } else {
      return "https://tobadmin.e.360.cn/"//
    }
  },
  aliUappId: function () {
    if (this.env == "dev") {
      return 18// uapp_id
    } else {
      return 18// uapp_id
    }
  },
  icNameUrl: function () {
    if (this.env == "dev") {
      return "https://fqdev.gongsibao.com/"
    } else {
      return "https://fq.gongsibao.com/"
    }
  },
  apiconfig: {
    opLogUrl: function () {
      return settings.reqEsAddr() + "center_channel_log/_doc?pretty";
    },
    opLogEsIsAdd: function () {
      return 1;
    },
  },

  homePage: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.reqHomePageDevUrl;
    } else {
      return "http://boss.gongsibao.com/";
    }
  },
  redis: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.redis;
    } else {
      return {
        host: ENVINPUT.REDIS_HOST,
        port: ENVINPUT.REDIS_PORT,
        password: ENVINPUT.REDIS_PWD,
        db: ENVINPUT.REDIS_DB,
      };
    }
  },
  database: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.database;
    } else {
      return {
        dbname: ENVINPUT.DB_NAME,
        user: ENVINPUT.DB_USER,
        password: ENVINPUT.DB_PWD,
        config: {
          host: ENVINPUT.DB_HOST,
          dialect: 'mysql',
          operatorsAliases: false,
          pool: {
            max: 5,
            min: 0,
            acquire: 90000000,
            idle: 1000000
          },
          debug: false,
          dialectOptions: {
            requestTimeout: 999999,
            // instanceName:'DEV'
          }  //设置MSSQL超时时间
        },
      };
    }
  },
  alipay: function () {// 没有在使用 确定不需要后会去掉
    return new AlipaySdk({

      // appId: payConfig.ali.appId,

      // privateKey: payConfig.ali.privateKey,

      // alipayPublicKey: payConfig.ali.publicKey,

    });
  },
  wxpay: function () {// 没有在使用 确定不需要后会去掉
    return WXPay({
      appid: 'wx6f3ebe44defe336a',
      mch_id: '1232813602',
      partner_key: 'sinotone2014sinotone2014sinotone', //微信商户平台API密钥
      //pfx: fs.readFileSync('./wxpay_cert.p12'), //微信商户平台证书
      //pfx: "sinotone2014sinotone2014sinotone"
    })
    // const config = {
    //     appid: 'wx6f3ebe44defe336a',
    //     mchid: '1232813602',
    //     partnerKey: 'sinotone2014sinotone2014sinotone',
    //   };
    //   return new tenpay(config);
  },
  paySecret: function () {
    if (this.env == "dev") {
      // return "ab53dfb909e4c32a";
      return "34cdecaac35b1d8d"// 7.1之前测试环境的secret无法使用，测试/正式全部使用同一个secret
    } else {
      return "34cdecaac35b1d8d";// 6.29lin新增 小黑给的secret
    }
  },
  ucommuneOperatorPhone: function () {
    if (this.env == "dev") {
      return "13911391996"// 7.7修改测试环境优客 辅助/担保订单推送业务员手机号
    } else {
      return "15754717260";// 7.7修改正式环境优客 辅助/担保订单推送业务员手机号 刘文悦
    }
  },
  pannongServiceConfig: function() {
    if (this.env == "dev") {
      return {
        appid: "10015683988",
        appkey: "b74b73acf78cc2851aa559e93c84f7888adq23we"
      }
    } else {
      // 2020 1106 lin 正式环境还未给出
      // 2020 1119 lin 正式环境已经给出，鲁班说不变 后期可能换成动态的
      return {
        appid: "10015683988",
        appkey: "b74b73acf78cc2851aa559e93c84f7888adq23we"
      }
    }
  },
  pannongUrl: function() {
    if (this.env == "dev") {
      return "http://39.101.172.142:8980/"
    } else {
      // 2020 1106 lin 正式环境还未给出
      // 2020 1119 lin 正式环境已经给出，鲁班发的ip
      return "http://139.196.159.202:8980/"
    }
  }
};
module.exports = settings;
