module.exports = {
    PDICT: {
        encrypt_key: "202006242013DDD90880",
        encrypt_secret: "25455136E3BCA24335C3142C72D90990",
        secret_prefix: "CENTERAPP",
        token_secret_dev: "1E15FB63A004635A9BFB66BFA0637E99",//dev
        token_secret_prod: "25455136E3BCA24335C3142C72D88990",//prod
        webMustUserpinList: ["serviceProviderSubmitMaterial", "closeOrderDelivery", "serviceProviderNotification", "tmConfirm", "getNeedSolutionDetailByUser",
            "getProgrammeInfoByChannelNeedNo", "submitIcpProgramme", "submitIcpMaterial", "acceptIcpPartnerNotification", "abolishIcpProgramme",
            "addOrder", "getH5PayUrl", "getOrderQrCode", "queryOrderStatus", "getOrderInfo", "getOrderDeliveryInfo", "getOrderDetails",
            "getOrderDeliveryFlowInfo", "getOrderDeliveryFlowList", "getOrderLogInfo", "updateContacts", "updateTmOrder", "delOrder", "submitProgramme",
            "getProgrammeListByUser", "getProgrammeInfoByNeedNo", "abolishProgramme", "getAliPayInfo", "getPaidLogoListByUser", "getCollectibleLogoListByUser",
            "collectLogo", "getLogoMaterial", "cancelCollectLogo", "icpNotify", "createName", "getNameDetail", "orderConfirm",
            "orderTotalSum", "collect", "reg", "orderCheck", "getReOrderList", "getOfficalList", "addReviewList", "opSubmitNeed", "opNeedClose", "opNeedList",
            "getItemByNeedNo", "opNeedDetailByChannelNo", "getNeedListUser", "manualEvaluation", "diagnosisInfo", "check", "enterpriseInfo", "diagnosisDetail",
            "submitIcpIntention", "queryIntentionList", "confirmIcpIntention", "tmAccept", "tmStatus", "needBatchUpload",
            "ncSubmitMaterial", "ncNotification", "ncSubmitSolution", "ncCloseNeed", "ncClosePlan",
            "rtSubmitMaterial", "rtNotification", "rtSubmitSolution", "rtCloseNeed", "rtClosePlan",
            "getParamsFor360", "addOrderWeb", "getPayRecords", "getLoginInfo", "putUserMobileByVcode",
            "putUserPwdByMobile", "icpNotifyNew", "getOrderStatisticsByUappId", "getOrderStatisticsByProduct", "getOrdersComparison", "getOrdersComparisonList",
            "importOrders", "importNeeds", "receiveAliTmOrder", "receiveAliTmOrderRefund","receiveAliTmStatus",
            //百度工商注册
            "regGetInfoByChannelNeedNo", "submitRegNeed", "regFeedbackSubmit", "regOrderStatus", "regOrderClose",
            "getSolutionByChannelOrderNo", "regSubmitSolution", "regNeedClose",
            "regWriteCommunicationLog", "regQueryExpertCommunicationLogs", "regUpdateOrderStatus", "regPaySuccess",
            //yiming/ename
            "eNameCloseOrder",
        ],
        apiMustUserpinList: [
            "icpOrderClose",
            "submitNeed", "paySuccess", "icpNotify", "getLoginInfo", "icpNotifyNew", "submitIcpProgramme", "serviceProviderSubmitMaterial", "abolishIcpProgramme",
            "submitService", "serviceProviderNotification",
            "ncSubmitMaterial", "ncNotification", "ncSubmitSolution", "ncCloseNeed", "ncClosePlan",
            "rtSubmitMaterial", "rtNotification", "rtSubmitSolution", "rtCloseNeed", "rtClosePlan",
            //百度工商注册
            "regGetInfoByChannelNeedNo", "submitRegNeed", "regFeedbackSubmit", "regOrderStatus", "regOrderClose",
            "getSolutionByChannelOrderNo", "regSubmitSolution", "regNeedClose",
            "regWriteCommunicationLog", "regQueryExpertCommunicationLogs", "regUpdateOrderStatus", "regPaySuccess",
            //yiming/ename
            "eNameCloseOrder",
        ],
        apiSecretPathList: [
            "/api/icp/consultation/submit",
            "/api/icp/feedback/submit",
            "/api/icp/order/notify",
            "/api/opreceive/service/create",
            "/api/icp/order/close",
            "/api/opreceive/service/notify",
            "/api/icp/queueNotify/springBoard",

            "/api/ic/consultation/submit",
            "/api/ic/feedback/submit",
            "/api/ic/order/notify",
            "/api/ic/order/close",
            "/api/ic/tool/icname",
            "/api/tm/consultation/submit",
            "/api/tm/feedback/submit",
            "/api/tm/status/notify",
            "/api/tm/tmcase/nbtzreceiveAssistTmData",
            "/api/tm/tmcase/nbtzreceiveEditAssistTmData"
        ],
        apiAliSendKeyPathList: [
            "/api/opreceive/pushAliInfo/tmNote",
            "/api/opreceive/pushAliInfo/icNote",
        ]
    },
    AREACOMM: {
        areaTransform: {
            "上海": "上海市",
            "东莞": "东莞市",
            "佛山": "佛山市",
            "北京": "北京市",
            "南京": "南京市",
            "南昌": "南昌市",
            "南通": "南通市",
            "台州": "台州市",
            "合肥": "合肥市",
            "嘉兴": "嘉兴市",
            "大连": "大连市",
            "天津": "天津市",
            "太原": "太原市",
            "宁波": "宁波市",
            "常州": "常州市",
            "广州": "广州市",
            "徐州": "徐州市",
            "成都": "成都市",
            "扬州": "扬州市",
            "无锡": "无锡市",
            "昆明": "昆明市",
            "杭州": "杭州市",
            "武汉": "武汉市",
            "沈阳": "沈阳市",
            "济南": "济南市",
            "深圳": "深圳市",
            "温州": "温州市",
            "烟台": "烟台市",
            "福州": "福州市",
            "绍兴": "绍兴市",
            "苏州": "苏州市",
            "西安": "西安市",
            "贵阳": "贵阳市",
            "郑州": "郑州市",
            "重庆": "重庆市",
            "金华": "金华市",
            "长春": "长春市",
            "长沙": "长沙市",
            "青岛": "青岛市",
            "开封": "开封市",
            "哈尔滨": "哈尔滨市",
            "石家庄": "石家庄市",
            "福建": "福建省",
            "广西": "广西",
            "广东": "广东省",
            "安徽": "安徽省",
            "河南": "河南省",
            "湖北": "湖北省",
            "浙江": "浙江省",
            "江苏": "江苏省",
            "山东": "山东省",
            "陕西": "陕西省",
            "宁夏": "宁夏",
            "甘肃": "甘肃省",
            "新疆": "新疆",
            "青海": "青海省",
            "河北": "河北省",
            "山西": "山西省",
            "辽宁": "辽宁省",
            "吉林": "吉林省",
            "黑龙江": "黑龙江省",
            "江西": "江西省",
            "湖南": "湖南省",
            "四川": "四川省",
            "贵州": "贵州省",
            "云南": "云南省",
            "内蒙古": "内蒙古",
            "西藏": "西藏",
            "含外资": "含外资",
            "全外资": "全外资",
            "香港": "香港",
            "海南": "海南省",
        }
    }
}
